Subject: Re: linux-next: i7core_edac tree build failure

From: Rusty Russell <[email-masked]>
Date: Thu, 12 Nov 2009 23:40:25 +1030

On Thu, 12 Nov 2009 04:28:52 pm Stephen Rothwell wrote:
> Hi Mauro,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> tmp_exports-asm.o: In function `__ksymtab_pci_legacy_init':
> (__ksymtab_gpl_sorted+0x3120): undefined reference to `pci_legacy_init'
> 
> Caused by commit a120a84ebbc4cbc9c1addddd2b491e3683b842a6 ("pci: Add a
> probing code that seeks for an specific bus") (which applies
> EXPORT_SYMBOL_GPL() to a static function) interacting with the rr tree's
> changes.

Yep, thanks Stephen.  I can't apply this fix to my tree since that function
isn't exported in Linus' tree.  I've pulled in the ppc and sparc fixes to my
tree though, but assume they'll go into their proper homes soon.

Thanks,
Rusty.